Subject: bug#36649: 27.0.50; pure space and pdumper

From: Po Lu <[email-masked]>
Date: Sat, 02 Jul 2022 18:28:40 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> If I understand correctly, dropping pure space would make Po's work on
> improving the garbage collector easier -- and improving gc is important,
> so it seems to make sense to get rid of pure space just for that reason.
>
> But I'm not against dropping unexec now, too -- we can drop both unexec
> and pure space now.

FWIW none of the dumping mechanisms work with the new garbage collector,
but it will be optional, since I don't see how to make it work on MS-DOS
(which AFAIU has no equivalent of `mprotect').  The current
implementation also assumes 4K pages.

So in my work, pure space and incremental GC are both conditional, under
#ifdef HAVE_MPROTECT.